Name:          mixxx
Version:       2.5.0
Release:       1mamba
Summary:       An open source DJ tool designed for both professional and amateur DJs alike
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mixxx.org/
Source:        https://github.com/mixxxdj/mixxx.git/%{version}/mixxx-%{version}.tar.bz2
Source1:       mixxx-desktop
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libQt6Concurrent
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libQt6PrintSupport
BuildRequires: libQt6Sql
BuildRequires: libQt6Test
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libabseil-cpp-devel
BuildRequires: libavcodec-devel
BuildRequires: libavformat-devel
BuildRequires: libavutil-devel
BuildRequires: libchromaprint-devel
BuildRequires: libebur128-devel
BuildRequires: libflac-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libhidapi-devel
BuildRequires: libid3tag-devel
BuildRequires: libkeyfinder-devel
BuildRequires: liblame-devel
BuildRequires: liblilv-devel
BuildRequires: libmad-devel
BuildRequires: libmodplug-devel
BuildRequires: libmp4v2-devel
BuildRequires: libogg-devel
BuildRequires: libopus-devel
BuildRequires: libopusfile-devel
BuildRequires: libportaudio-devel
BuildRequires: libportmidi-devel
BuildRequires: libprotobuf-devel
BuildRequires: libqtkeychain-qt6-devel
BuildRequires: librubberband-devel
BuildRequires: libshout-idjc-devel
BuildRequires: libsndfile-devel
BuildRequires: libsoundtouch-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-devel
BuildRequires: libtag-devel
BuildRequires: libupower-devel
BuildRequires: libusb-devel
BuildRequires: libvorbis-devel
BuildRequires: libwavpack-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
BuildRequires: qt6-qt5compat-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtshadertools-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: libportmidi-devel >= 1:2.0.4-1mamba
BuildRequires: cmake
BuildRequires: libbenchmark-devel
BuildRequires: libmicrosoft-gsl-devel

%description
Mixxx is an open source DJ tool designed for both professional and amateur DJs alike.
Mixxx allows DJs to mix music live with a clean, simple interface.
Futhermore, Mixxx has a number of key features to help DJs in the mix: Beat estimation, parallel visual displays, and support for various DJ hardware controllers.

%debug_package

%prep
%setup -q

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mixxx
%{_udevrulesdir}/69-mixxx-usb-uaccess.rules
%{_datadir}/applications/org.mixxx.Mixxx.desktop
%{_datadir}/metainfo/org.mixxx.Mixxx.metainfo.xml
%dir %{_datadir}/mixxx
%dir %{_datadir}/mixxx/controllers
%{_datadir}/mixxx/controllers/*
%dir %{_datadir}/mixxx/effects
%{_datadir}/mixxx/effects/*
%dir %{_datadir}/mixxx/keyboard
%{_datadir}/mixxx/keyboard/*.cfg
%dir %{_datadir}/mixxx/qml
%{_datadir}/mixxx/qml/*
%dir %{_datadir}/mixxx/skins
%{_datadir}/mixxx/skins/*
%dir %{_datadir}/doc/mixxx
%{_datadir}/doc/mixxx/*
%{_datadir}/mixxx/translations/mixxx_*.qm
%{_datadir}/icons/hicolor/*/apps/mixxx.png
%{_datadir}/icons/hicolor/scalable/apps/mixxx*.svg
%doc COPYING LICENSE

%changelog
* Wed Dec 25 2024 Automatic Build System <autodist@openmamba.org> 2.5.0-1mamba
- automatic version update by autodist

* Fri Nov 29 2024 Automatic Build System <autodist@openmamba.org> 2.4.2-1mamba
- automatic version update by autodist

* Sat Nov 16 2024 Automatic Build System <autodist@mambasoft.it> 2.4.1-2mamba
- rebuilt by autoport with build requirements: libportmidi-devel>=1:2.0.4-1mamba

* Fri May 10 2024 Automatic Build System <autodist@openmamba.org> 2.4.1-1mamba
- automatic version update by autodist

* Sun Mar 10 2024 Automatic Build System <autodist@openmamba.org> 2.4.0-1mamba
- automatic version update by autodist

* Wed Aug 16 2023 Automatic Build System <autodist@mambasoft.it> 2.3.6-1mamba
- automatic version update by autodist

* Thu May 11 2023 Automatic Build System <autodist@mambasoft.it> 2.3.5-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 2.3.4-1mamba
- automatic version update by autodist

* Wed Jun 22 2022 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-2mamba
- rebuilt with libid3tag 0.16.1-2mamba

* Wed Feb 02 2022 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Fri Oct 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- update to 2.3.1

* Wed May 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-2mamba
- rebuilt with debug package

* Mon May 18 2020 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic version update by autodist

* Mon Dec 16 2019 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Tue Sep 17 2019 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Wed Oct 03 2018 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.3-1mamba
- update to 2.1.3

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1-1mamba
- update to 2.1.1

* Tue Mar 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- rebuilt by autoport with build requirements: libchromaprint-devel>=1.3.1-1mamba

* Thu Jan 14 2016 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Nov 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.0-3mamba
- rebuilt with libtag 1.9.1

* Tue Nov 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.0-2mamba
- rebuilt with protobuf 2.5.0

* Wed May 22 2013 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Sat May 05 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.10.0-1mamba
- update to 1.10.0

* Fri Mar 25 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.9.0-1mamba
- update to 1.9.0

* Tue Feb 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2-2mamba
- replace hard coded paths with parameters
- added automatic build requirements
- (re)add correct prefix to scons script
- enabled support for ffmpeg, mp4, tonal analisys, scripting and test suite
- provide desktop file with translated descriptions and execution without pasuspend

* Sun Feb 07 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.7.2-1mamba
- update to 1.7.2

* Sun Nov 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Thu Oct 25 2007 Aleph0 <aleph0@openmamba.org> 1.5.0.1-2mamba
- rebuilt without deprecated lua support

* Thu May 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0.1-1mamba
- package created by autospec
